Subject: bug#77897: "make clean" should do a "rm -rf .deps"

From: Peter Johansson <[email-masked]>
Date: Sat, 19 Apr 2025 15:24:18 +1000

On 4/19/25 13:16, Sam Varshavchik wrote:
>
> After digging through make's documentation, a clue emerged:
>
> #    If an included makefile cannot be found in any of these directories
> # it is not an immediately fatal error; processing of the makefile
> # containing the 'include' continues.  Once it has finished reading
> # makefiles, 'make' will try to remake any that are out of date or don't
> # exist.  *Note How Makefiles Are Remade: Remaking Makefiles. Only after
> # it has failed to find a rule to remake the makefile, or it found a rule
> # but the recipe failed, will 'make' diagnose the missing makefile as a
> # fatal error.
>
This is for GNU make, I suppose, but I doubt that behavior is portable 
and can be assumed by Automake.

> So, a nonexistent include is not an error if make can find a rule that 
> builds it. It then gets suppressed.
>
> Oh, and there's also a:
>
> -include FILENAMES…
>
> which never complains about missing makefiles... how about that...
That is definitely not portable.